# Uses of Class
org.apache.commons.math3.optimization.fitting.WeightedObservedPoint

Packages that use WeightedObservedPoint
Package
Description
org.apache.commons.math3.optimization.fitting
This package provides classes to perform curve fitting.

## Uses of WeightedObservedPoint in org.apache.commons.math3.optimization.fitting

Methods in org.apache.commons.math3.optimization.fitting that return WeightedObservedPoint
Modifier and Type
Method
Description
`WeightedObservedPoint[]`
CurveFitter.`getObservations()`
Deprecated.
Get the observed points.
Methods in org.apache.commons.math3.optimization.fitting with parameters of type WeightedObservedPoint
Modifier and Type
Method
Description
`void`
CurveFitter.`addObservedPoint(WeightedObservedPoint observed)`
Deprecated.
Add an observed weighted (x,y) point to the sample.
Constructors in org.apache.commons.math3.optimization.fitting with parameters of type WeightedObservedPoint
Modifier
Constructor
Description
``
`ParameterGuesser(WeightedObservedPoint[] observations)`
Constructs instance with the specified observed points.
``
`ParameterGuesser(WeightedObservedPoint[] observations)`
Simple constructor.